Bug 1464512 - [RFE] Click on Compliance Report widget should open associated compliance report
Summary: [RFE] Click on Compliance Report widget should open associated compliance report
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: SCAP Plugin
Version: 6.2.7
Hardware: Unspecified
OS: Unspecified
medium
medium vote
Target Milestone: 6.4.0
Assignee: Ondřej Pražák
QA Contact: Sanket Jagtap
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-06-23 15:33 UTC by Sean V. Thompson
Modified: 2019-11-05 23:06 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-16 15:27:35 UTC
Target Upstream Version:


Attachments (Terms of Use)
[1] compliance report by policy (99.05 KB, image/png)
2017-06-23 15:33 UTC, Sean V. Thompson
no flags Details
[2] report (167.05 KB, image/png)
2017-06-23 15:33 UTC, Sean V. Thompson
no flags Details
Latest report is clickable (29.41 KB, image/png)
2018-09-21 08:54 UTC, Sanket Jagtap
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2927 None None None 2018-10-16 15:28:58 UTC
Foreman Issue Tracker 20106 None None None 2017-06-26 13:18:29 UTC

Description Sean V. Thompson 2017-06-23 15:33:07 UTC
Created attachment 1291137 [details]
[1] compliance report by policy

Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Login to Sat 6
2. Hosts -> all hosts -> <hostname> -> compliance
3. Click on "<host> latest report widget" [1]

Actual results:
Nothing

Expected results:
it should take me to the report[2] the widget (pass, fail, other) is based on.

Additional info:

Comment 1 Sean V. Thompson 2017-06-23 15:33:33 UTC
Created attachment 1291138 [details]
[2] report

Comment 3 Marek Hulan 2017-06-26 13:18:26 UTC
Created redmine issue http://projects.theforeman.org/issues/20106 from this bug

Comment 4 pm-sat@redhat.com 2017-11-10 13:09:06 UTC
Upstream bug assigned to oprazak@redhat.com

Comment 5 pm-sat@redhat.com 2017-11-10 13:09:09 UTC
Upstream bug assigned to oprazak@redhat.com

Comment 7 pm-sat@redhat.com 2017-11-14 13:10:22 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/20106 has been resolved.

Comment 8 Sanket Jagtap 2018-09-21 08:52:17 UTC
Build: Satellite 6.4.0 snap 22

I am able to, Click and get the latest report for the host ,  form host -> compliance tab.

PFA

Comment 9 Sanket Jagtap 2018-09-21 08:54:16 UTC
Created attachment 1485430 [details]
Latest report is clickable

Comment 11 errata-xmlrpc 2018-10-16 15:27:35 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2927


Note You need to log in before you can comment on or make changes to this bug.